DAOFactory (Hyperic HQ Plugin API)
Keywords: org.hyperic.dao.DAOFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.dao
Class DAOFactory

    java.lang.Object
      org.hyperic.dao.DAOFactory

Direct Known Subclasses:
  HibernateDAOFactory

    public abstract class DAOFactory

extends java.lang.Object

Constructor Summary
`DAOFactory()`

Method Summary
`abstract ActionDAO` | `getActionDAO()`
`abstract AIHistoryDAO` | `getAIHistoryDAO()`
`abstract AIIpDAO` | `getAIIpDAO()`
`abstract AIPlatformDAO` | `getAIPlatformDAO()`
`abstract AIScheduleDAO` | `getAIScheduleDAO()`
`abstract AIServerDAO` | `getAIServerDAO()`
`abstract AIServiceDAO` | `getAIServiceDAO()`
`abstract AlertActionLogDAO` | `getAlertActionLogDAO()`
`abstract AlertConditionLogDAO` | `getAlertConditionLogDAO()`
`abstract AlertDAO` | `getAlertDAO()`
`abstract AlertDefinitionDAO` | `getAlertDefDAO()`
`abstract AppServiceDAO` | `getAppServiceDAO()`
`abstract AppSvcDependencyDAO` | `getAppSvcDepencyDAO()`
`abstract ConfigPropertyDAO` | `getConfigPropertyDAO()`
`abstract ConfigResponseDAO` | `getConfigResponseDAO()`
`abstract CpropKeyDAO` | `getCpropKeyDAO()`
`abstract CrispoDAO` | `getCrispoDAO()`
`abstract CrispoOptionDAO` | `getCrispoOptionDAO()`
`abstract org.hibernate.Session` | `getCurrentSession()`
`static DAOFactory` | `getDAOFactory()`
`abstract PlatformDAO` | `getPlatformDAO()`
`abstract ResourceDAO` | `getResourceDAO()`
`abstract ResourceGroupDAO` | `getResourceGroupDAO()`
`abstract ResourceTypeDAO` | `getResourceTypeDAO()`
`abstract RoleDAO` | `getRoleDAO()`
`abstract ServerDAO` | `getServerDAO()`
`abstract ServerTypeDAO` | `getServerTypeDAO()`
`abstract ServiceDAO` | `getServiceDAO()`
`abstract ServiceTypeDAO` | `getServiceTypeDAO()`
`abstract TriggerDAO` | `getTriggerDAO()`
`abstract VirtualDAO` | `getVirtualDAO()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAOFactory

    public DAOFactory()

Method Detail

### getCurrentSession

    public abstract org.hibernate.Session getCurrentSession()

### getAppServiceDAO

    public abstract AppServiceDAO getAppServiceDAO()

### getAppSvcDepencyDAO

    public abstract AppSvcDependencyDAO getAppSvcDepencyDAO()

### getConfigResponseDAO

    public abstract ConfigResponseDAO getConfigResponseDAO()

### getCpropKeyDAO

    public abstract CpropKeyDAO getCpropKeyDAO()

### getPlatformDAO

    public abstract PlatformDAO getPlatformDAO()

### getServerDAO

    public abstract ServerDAO getServerDAO()

### getServerTypeDAO

    public abstract ServerTypeDAO getServerTypeDAO()

### getServiceDAO

    public abstract ServiceDAO getServiceDAO()

### getServiceTypeDAO

    public abstract ServiceTypeDAO getServiceTypeDAO()

### getVirtualDAO

    public abstract VirtualDAO getVirtualDAO()

### getAIPlatformDAO

    public abstract AIPlatformDAO getAIPlatformDAO()

### getAIServerDAO

    public abstract AIServerDAO getAIServerDAO()

### getAIServiceDAO

    public abstract AIServiceDAO getAIServiceDAO()

### getAIIpDAO

    public abstract AIIpDAO getAIIpDAO()

### getAIHistoryDAO

    public abstract AIHistoryDAO getAIHistoryDAO()

### getAIScheduleDAO

    public abstract AIScheduleDAO getAIScheduleDAO()

### getActionDAO

    public abstract ActionDAO getActionDAO()

### getAlertDefDAO

    public abstract AlertDefinitionDAO getAlertDefDAO()

### getAlertDAO

    public abstract AlertDAO getAlertDAO()

### getTriggerDAO

    public abstract TriggerDAO getTriggerDAO()

### getAlertActionLogDAO

    public abstract AlertActionLogDAO getAlertActionLogDAO()

### getAlertConditionLogDAO

    public abstract AlertConditionLogDAO getAlertConditionLogDAO()

### getConfigPropertyDAO

    public abstract ConfigPropertyDAO getConfigPropertyDAO()

### getCrispoDAO

    public abstract CrispoDAO getCrispoDAO()

### getCrispoOptionDAO

    public abstract CrispoOptionDAO getCrispoOptionDAO()

### getResourceTypeDAO

    public abstract ResourceTypeDAO getResourceTypeDAO()

### getResourceDAO

    public abstract ResourceDAO getResourceDAO()

### getResourceGroupDAO

    public abstract ResourceGroupDAO getResourceGroupDAO()

### getRoleDAO

    public abstract RoleDAO getRoleDAO()

### getDAOFactory

    public static DAOFactory getDAOFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.